<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@306113=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Display still changes</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@306959</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@306959!=temp0 )">maincpu.pb@306959=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Reserve Time">
    <script state="run">
      <action>maincpu.pb@306E05=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@306AF7=05</action>
    </script>
  </cheat>

  <cheat desc="Exit always Open">
    <script state="run">
      <action>maincpu.pb@306991=00</action>
    </script>
  </cheat>

  <cheat desc="Open Exit Now!">
    <script state="on">
      <action>maincpu.pb@306991=00</action>
    </script>
  </cheat>

  <cheat desc="Zero Timer Now! (bonus level)">
    <script state="on">
      <action>maincpu.pb@306959=01</action>
    </script>
  </cheat>

  <cheat desc="Select current World"> <comment>You will advance to this world when you lose a life, or the stage after if you complete the stage without dieing after enabling the cheat</comment>
    <parameter min="1" max="6" step="1"/>
    <script state="change">
      <action>maincpu.pb@306931=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select current Stage"> <comment>You will advance to this stage when you lose a life, or the stage after if you complete the stage without dieing after enabling the cheat</comment>
    <parameter min="1" max="5" step="1"/>
    <script state="change">
      <action>maincpu.pb@306933=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Levelset"> <comment>Same as UP+A DOWN+A LEFT RIGHT during player list (attract mode)</comment>
    <parameter>
      <item value="0x00">Part 1 (Default)</item>
      <item value="0x01">Part 2</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@306E1B=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
